<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">
    <data>
        <variable
            name="department"
            type="com.preyansh.auxanoglobalpractical.DepartmentModel" />
        
        <variable
            name="onAddEployeeClick"
            type="android.view.View.OnClickListener" />
        
    </data>
    <androidx.cardview.widget.CardView
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:contentPadding="8dp"
        app:cardCornerRadius="4dp"
        app:cardElevation="4dp"
        android:layout_marginTop="2dp"
        android:layout_marginStart="8dp"
        android:layout_marginBottom="6dp"
        android:layout_marginEnd="8dp">

        <androidx.appcompat.widget.LinearLayoutCompat
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:focusable="false"
            android:focusableInTouchMode="true"
            android:orientation="vertical">

            <androidx.appcompat.widget.LinearLayoutCompat
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal"
                android:gravity="center_vertical">

                <androidx.appcompat.widget.AppCompatTextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:text="@{department.depName}"
                    tools:text="Android"
                    android:textSize="18sp"
                    android:textColor="@android:color/black"/>

                <androidx.appcompat.widget.AppCompatImageButton
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/ic_add"
                    android:padding="5dp"
                    android:onClick="@{onAddEployeeClick}"
                    android:background="?android:attr/selectableItemBackgroundBorderless"/>

            </androidx.appcompat.widget.LinearLayoutCompat>

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/rec_employee_list"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager"
                tools:listitem="@layout/employee_list_single_item"/>

        </androidx.appcompat.widget.LinearLayoutCompat>
    </androidx.cardview.widget.CardView>
</layout>
